--- chrome/browser/plugin_process_host.cc
+++ chrome/browser/plugin_process_host.cc
@@ -55,7 +55,7 @@
 #include "ipc/ipc_channel_posix.h"
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "app/gfx/gtk_native_view_id_manager.h"
 #include "chrome/browser/crash_handler_host_linux.h"
 #endif
@@ -292,13 +292,13 @@ void PluginProcessHost::AddWindow(HWND window) {
 
 #endif  // defined(OS_WIN)
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 void PluginProcessHost::OnMapNativeViewId(gfx::NativeViewId id,
                                           gfx::PluginWindowHandle* output) {
   *output = 0;
   Singleton<GtkNativeViewManager>()->GetXIDForId(output, id);
 }
-#endif  // defined(OS_LINUX)
+#endif  // defined(USE_X11)
 
 PluginProcessHost::PluginProcessHost()
     : ChildProcessHost(
@@ -470,7 +470,7 @@ base::ProcessHandle PluginProcessHost::InitHelperPosix(
   env.push_back(std::pair<const char*, const char*>(
       plugin_interpose_strings::kDYLDInsertLibrariesKey,
       interpose_list.c_str()));
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
   const int crash_signal_fd =
       Singleton<PluginCrashHandlerHostLinux>()->GetDeathSignalSocket();
   if (crash_signal_fd >= 0) {
@@ -499,7 +499,7 @@ void PluginProcessHost::OnMessageReceived(const IPC::Message& msg) {
                         OnPluginWindowDestroyed)
     IPC_MESSAGE_HANDLER(PluginProcessHostMsg_DownloadUrl, OnDownloadUrl)
 #endif
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
     IPC_MESSAGE_HANDLER(PluginProcessHostMsg_MapNativeViewId,
                         OnMapNativeViewId)
 #endif
diff --git chrome/browser/plugin_process_host.h chrome/browser/plugin_process_host.h
index 5d0c7e3..26b51b5 100644
